gabedit (2.4.8-3) unstable; urgency=medium

  * debian/patches/detect_dummies_molpro.patch: New patch, fixes detection of
    dummy atoms in the Molpro geometry reader. 
  * debian/patches/sort_object_files_in_makefile.patch: New patch, sort object
    files in Makefile, to get reproducible build, thanks to Alexis Bienvenüe
    (Closes: #820016).

 -- Michael Banck <mbanck@debian.org>  Wed, 05 Oct 2016 08:18:11 +0200

gabedit (2.4.8-2) unstable; urgency=medium

  * debian/compat: Raised to level 9.
  * debian/control (Build-Depends): Raised debhelper version accordingly.
    (Standards-Version): Bumped to 3.9.6.
  * debian/gabedit.menu: Removed (CTTE #741573).
  * debian/rules (override_dh_compress): Remove non-package specific directory
    part from the target (closes: #802192).
  * debian/upstream: Renamed to debian/upstream/metadata.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 19 Oct 2015 00:12:18 +0200

gabedit (2.4.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.5.
  * debian/patches/enable_hardening.patch: Dropped. Applied upstream.
  * debian/patches/series: Emptied.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 09 Feb 2014 13:25:09 +0100

gabedit (2.4.7-1) unstable; urgency=low

  * New upstream release.
    - Fixes a buffer overflow parsing GAMESS output files (closes: #703965).
  * debian/patches/enable_hardening.patch: Added.
    - Fix an FTBFS error during hardening enabled builds.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 29 Jul 2013 00:06:28 +0200

gabedit (2.4.6-2) unstable; urgency=low

  * debian/control (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (Build-Depends): Added libpangox-1.0-dev (closes: #713552).

 -- Daniel Leidert <dleidert@debian.org>  Tue, 25 Jun 2013 00:10:19 +0200

gabedit (2.4.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.4.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 07 May 2013 23:19:37 +0200

gabedit (2.4.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Dropped DM-Upload-Allowed.
    (Uploaders): Adjusted.
  * debian/upstream: Added.
  * debian/patches/hardening_fix.patch: Dropped, applied upstream.
  * debian/patches/series: Removed.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 01 Jul 2012 21:12:52 +0200

gabedit (2.4.2-2) unstable; urgency=low

  * debian/compat: Bumped dh compatibility level to 7.
  * debian/control (Build-Depends): Bumped debhelper version.
    (Suggests): Removed povray, not longer available in Debian.
  * debian/rules: Rewritten for dh 7. Make use of dpkg-buildflags.
  * debian/README.source: Dropped obsolete file.
  * debian/TODO: Ditto.
  * debian/patches/hardening_fix.patch: Added.
    - Build with hardening flags.
  * debian/patches/series: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 10 Jun 2012 18:38:20 +0200

gabedit (2.4.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Used wrap-and-sort.
    (Standards-Version): Bumped to 3.9.3.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 20 Mar 2012 23:23:56 +0100

gabedit (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Description): Improved description (closes: #639227).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 27 Oct 2011 00:06:02 +0200

gabedit (2.3.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.2.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 11 May 2011 18:33:39 +0200

gabedit (2.3.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Description): Fixed spelling error.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 21 Apr 2011 22:14:15 +0200

gabedit (2.3.5-1) unstable; urgency=low

  * New upstream release.
    - New: Parallelization using OpenMP.
    - New: Migration from gtkglarea to GtkGLExt.
  * debian/control (Vcs-Browser): Point to real location.
    (Build-Depends): Replaced libgtkgl2.0-dev by libgtkglext1-dev. Added
    libgl2ps-dev. Dropped dpatch.
  * debian/copyright: Updated. Removed gtkglarea license stuff and added gl2ps
    copyright and license information.
  * debian/rules: Dropped dpatch stuff.
    (GTKLIB, GTKCFLAGS): Replaced libgtkgl2.0-dev by libgtkglext1-dev.
    (OMPLIB, OMPCFLAGS): Added for libgomp support.
    (DRAWGEOMGL): Added to correctly determine COMMONCFLAGS.
    (LDFLAGS): Added -Wl,--as-needed to drop unused dependencies.
    (build-stamp): Build with libgl2ps-dev.
    (build-stamp, clean): Dropped gtkglarea and dpatch related parts.
    (binary-arch): Install ChangeLog file as upstream changelog.
  * debian/source/format: Change to format 3.0 (quilt).
  * debian/patches/90_config_for_debian.dpatch: Dropped - changes obsolete
    or added by upstream.
  * debian/patches/00list: Adjusted and renamed to debian/patches/series.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 08 Feb 2011 17:11:05 +0100

gabedit (2.2.12-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 10 May 2010 00:50:26 +0200

gabedit (2.2.11-1) unstable; urgency=low

  * New upstream release.
  * debian/rules (COMMONCFLAGS): Use -DENABLE_DEPRECATED to enable deprecated
    Gtk, Gdk and Pango functions during build (closes: #577372).
  * debian/patches/90_config_for_debian.dpatch: Adjusted.
    - Config.h: Don't define *_DISABLE_DEPRECATED if ENABLE_DEPRECATED is
      defined.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 29 Apr 2010 21:12:33 +0200

gabedit (2.2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.8.4.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 28 Feb 2010 18:28:17 +0100

gabedit (2.2.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Depends): Fixed debhelper-but-no-misc-depends.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 03 Jan 2010 02:56:47 +0100

gabedit (2.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 06 Dec 2009 01:32:05 +0100

gabedit (2.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 15 Nov 2009 22:34:42 +0100

gabedit (2.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 25 Oct 2009 19:58:45 +0100

gabedit (2.2.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.8.3.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 14 Sep 2009 23:49:36 +0200

gabedit (2.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 24 Aug 2009 00:41:37 +0200

gabedit (2.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 19 Aug 2009 23:47:27 +0200

gabedit (2.2.2-1) unstable; urgency=low

  * New upstream release 2.2.2.
  * debian/control (Standards-Version): Bumped to 3.8.2.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 15 Jul 2009 01:53:59 +0200

gabedit (2.2.0-1) unstable; urgency=low

  * New upstream release 2.2.0.
  * debian/control (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 30 May 2009 23:15:30 +0200

gabedit (2.1.20-1) unstable; urgency=low

  * New upstream release 2.1.20.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 17 Apr 2009 22:21:39 +0200

gabedit (2.1.19-1) unstable; urgency=low

  * New upstream release 2.1.19.

  * debian/watch: Improved.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 06 Apr 2009 12:38:31 +0200

gabedit (2.1.18-1) unstable; urgency=low

  * New upstream release 2.1.18.

  * debian/control (Standards-Version): Bumped to 3.8.1 (no other changes).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 23 Mar 2009 19:52:42 +0100

gabedit (2.1.17-1) unstable; urgency=low

  * New upstream release 2.1.17.

  * debian/control (Vcs-Svn): Fixed.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 24 Feb 2009 00:25:08 +0100

gabedit (2.1.16-1) unstable; urgency=low

  * New upstream release 2.1.16.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 19 Feb 2009 00:12:02 +0100

gabedit (2.1.15-1) unstable; urgency=low

  * New upstream release 2.1.15.

  * debian/control (Suggests): Removed cupsys-bsd.
  * debian/patches/92_sprintf.dpatch: Removed (applied upstream).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 15 Feb 2009 20:11:25 +0100

gabedit (2.1.14-1) experimental; urgency=low

  * New upstream release 2.1.14.

  [ Daniel Leidert ]
  * debian/control (Vcs-Svn): Set to experimental location.
    (Build-Depends): Removed docbook-xml/docbook-xsl toolchain.
    (Standards-Version): Bumped to 3.8.0.
  * debian/gabedit.1: Rewritten in pure GROFF.
  * debian/gabedit.1.xml: Dropped.
  * debian/rules: Ship the manual page in pure GROFF. No need for the
    docbook-xml/docbook-xsl toolchain.
  * debian/watch: Fixed for upstreams naming scheme.
  * debian/README.source: Added to comply to policy version 3.8.
  * debian/patches/fix_programming_issues.dpatch: Removed (applied upstream).
  * debian/patches/00list: Adjusted.

  [ Nicholas Breen ]
  * debian/patches/sprintf.patch: Correct several uses of sprintf()
    previously depending on undefined behavior, and replace several
    more with simpler strcat() invocations.  Identified by Kees Cook in
    <http://lists.debian.org/debian-devel/2008/12/msg01079.html>.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 26 Jan 2009 01:22:06 +0100

gabedit (2.1.8-2) unstable; urgency=low

  * debian/control (Suggests): cupsys-bsd is deprecated in favour of cups-bsd.
  * debian/patches/fix_programming_issues.dpatch: Adjusted.
    - src/OpenGL/RingsOrb.c (getCentreRing): Fix another programming bug.
      Thanks to Abdul-Rahman ALLOUCHE.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 21 Jul 2008 17:10:05 +0200

gabedit (2.1.8-1) unstable; urgency=low

  * New upstream release 2.1.8.
    - Integrates build process improvements, so we can drop our patches.

  * debian/control (Build-Depends): Added xutils-dev for makedepend.
  * debian/gabedit.desktop: Removed obsolete Encoding key.
  * debian/rules: Override variables in CONFIG and Makefile from here.
    (build-stamp, clean): Update and restore src/OpenGL/Dep.mk.
  * debian/patches/fix_programming_issues.dpatch: Added.
    - src/OpenGL/Contours.c (set_contour_point): Fixed variable declaration.
    - src/OpenGL/ContoursPov.c (addOneContoursPovRay): Fixed array subscript.
    - src/Utils/Utils.c (get_one_block_from_aux_mopac_file): Fixed test
      expression.
  * debian/patches/90_config_for_debian.dpatch: Adjusted.
    - Removed changes to CONFIG, Makefile and src/OpenGL/Dep.mk, because we
      can do this now from debian/rules.
  * debian/patches/91_438784_allow_noopt.dpatch: Dropped (applied upstream).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 08 Jul 2008 14:34:17 +0200

gabedit (2.1.4-1) unstable; urgency=low

  * New upstream release 2.1.4.

  * debian/compat: Raised to level 5.
  * debian/control (Maintainer): Set to the debichem team. Moved myself to
    Uploaders.
    (Build-Depends): Raised debhelper to v5.
    (XS-DM-Upload-Allowed): Removed XS- prefix as of dpkg version 1.14.16.
  * debian/gabedit.1.xml: Typo fix.
  * debian/gabedit.1: Ditto (updated from XML).
  * debian/gabedit.install: Fixed for debhelper v5 (removed non-ex. files).
  * debian/patches/11_444503_gtk_2_12_compliance_fixes_ftbfs.dpatch: Removed.
    Applied upstream.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 19 May 2008 04:11:21 +0200

gabedit (2.1.0-1) unstable; urgency=low

  * New upstream release 2.1.0.

  [ Daniel Leidert ]
  * debian/control: Homepage and Vcs fields transition. Added
    XS-DM-Upload-Allowed for DM status.
    (Standards-Version): Updated to latest version 3.7.3.
    (Suggests): Only suggest povray on i386 to make debcheck happy.
  * debian/copyright: Fixed encoding.
  * debian/watch: Slightly improved.
  * debian/patches/11_444503_gtk_2_12_compliance_fixes_ftbfs.dpatch: Added.
    - Fix for the FTBFS with GTK 2.12 because of the deprecation of
      gtk_widget_ref and gtk_widget_unref (closes: #444503). Thanks to Lucas
      Nussbaum and Cyril Brulebois.
  * debian/patches/91_438784_allow_noopt.dpatch: Added.
    - Allow customization of (hardcoded) build flags to disable optimization
      and respect DEB_BUILD_OPTIONS=noopt (closes: #438784). Thanks to Ming
      Hua for the report.
  * debian/patches/00list: Adjusted.

  [ LI Daobing ]
  * debian/rules: Fix debian-rules-ignores-make-clean-error.
    (build-stamp): Respect setting noopt.
  * debian/menu (section): Update section accordingly to latest menu policy.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 12 Jan 2008 23:56:52 +0100

gabedit (2.0.11-1) unstable; urgency=low

  * New upstream release 2.0.11.
  * Initial upload to Debian (closes: #428198).

  [ Daniel Leidert ]
  * debian/control: Added XS-Vcs-Browser and XS-Vcs-Svn fields. Introduced
    suggestion of mpqc.
    (Build-Depends): Added docbook-xml and libpango1.0-dev. Removed
    libgtkextra17-dev.
    (Standards-Version): Updated to latest standards version 3.7.2.
    (Description): Extended description and added Homepage field.
  * debian/copyright: Adjusted download location. Added copyright and license
    information of third-party code/files.
  * debian/gabedit_icon.xpm: Renamed to debian/gabedit.xpm.
  * debian/gabedit.1: Added.
  * debian/gabedit.1.xml: Improved and updated.
  * debian/gabedit.desktop (Icon): Removed absolute path and extension.
  * debian/gabedit.dirs: Removed redundant entries and added icon theme
    directories.
  * debian/gabedit.examples: Added example gtkrc file.
  * debian/gabedit.install: Adjusted XPM icon installation.
  * debian/gabedit.menu (icon): Adjusted icon name.
  * debian/gabedit.sharedmimeinfo: Added.
  * debian/rules: Removed CFLAGS declaration (hardcoded in upstream).
    Introduced target to create manpage, so we can avoid to rebuild the
    manpage every time.
    (install): Moved dh_install into binary-arch target. Installation of
    pictures now goes into icon themes directory.
    (binary-arch): Added dh_installmime accordingly to shared MIME info db
    entry addition.
    (.PHONY): Removed configure.
  * debian/watch: Added.
  * debian/README.Debian: Removed. Not useful anymore.
  * debian/patches/01_build_fixes.dpatch: Removed.
  * debian/patches/02_usability_fixes.dpatch: Removed. Already merged
    upstream.
  * debian/patches/90_config_for_debian.dpatch: Added. Basically contains,
    what debian/patches/01_build_fixes.dpatch did in the past.
  * debian/patches/00list: Adjusted accordingly.
  * debian/reportbug: Removed accordingly to official upload.

  [ LI Daobing ]
  * debian/gabedit.desktop: fix warning for desktop-file-validate.

  [ Michael Banck ]
  * debian/ccontrol (Description): Promote the Free Software package MPQC more
    prominently and make clear that the other supported packages are
    proprietary.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 18 Jun 2007 12:48:40 +0200

gabedit (2.0.0-0dl0) unstable; urgency=low

  [ Daniel Leidert (dale) ]
  * New usptream release.
  * Added stuff, necessary for desktop integration.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 22 Apr 2005 23:10:56 +0200

gabedit (1.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed,  1 Dec 2004 01:47:33 +0100

gabedit (1.2.4-1) unstable; urgency=low

  * Changed version labelling.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 29 Oct 2004 11:20:31 +0200

gabedit (1.2.4-0dl0.20040928+1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 28 Sep 2004 22:56:05 +0200

gabedit (1.2.3-0dl0.20040921+1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 22 Sep 2004 00:17:29 +0200

gabedit (1.2.2-0dl0.20040913+1) unstable; urgency=low

  * New upstream release.
  * For changes in upstream see
    http://lasim.univ-lyon1.fr/allouche/gabedit/download.html.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 14 Sep 2004 00:59:36 +0200

gabedit (1.2.0-0dl0.20040828+1) unstable; urgency=low

  * Initial Release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu,  2 Sep 2004 23:12:54 +0200

